Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.lucene
Class BugIndexer

    java.lang.Object
      com.knowgate.lucene.Indexer
          com.knowgate.lucene.BugIndexer

    public class BugIndexer

extends Indexer

Indexer subclass for hipergate bugs

Field Summary

Fields inherited from class com.knowgate.lucene.Indexer
`DEFAULT_ANALYZER`

Constructor Summary
`BugIndexer()`

Method Summary
`static void` | `addBug(IndexWriter oIWrt, JDCConnection oCon, java.lang.String sWorkArea, Bug oBug)` Add bug to index
`static void` | `addBug(IndexWriter oIWrt, java.lang.String sGuid, int iNumber, java.lang.String sWorkArea, java.lang.String sProject, java.lang.String sTitle, java.lang.String sReportedBy, java.util.Date dtCreated, java.lang.String sComments, java.lang.String sText)` Add bug to index
`static void` | `addBug(IndexWriter oIWrt, java.lang.String sGuid, int iNumber, java.lang.String sWorkArea, java.lang.String sProject, java.lang.String sTitle, java.lang.String sWriter, java.lang.String sReportedBy, java.util.Date dtCreated, java.lang.String sType, java.lang.Short oPriority, java.lang.Short oSeverity, java.lang.String sStatus, java.lang.String sComments, java.lang.String sText)` Add bug to index
`static int` | `deleteBug(java.lang.String sWorkArea, java.util.Properties oProps, java.lang.String sGuid)` Delete a bug with a given GUID

Methods inherited from class com.knowgate.lucene.Indexer
`add, add, add, delete, main, optimize, rebuild, rebuild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BugIndexer

    public BugIndexer()

Method Detail

### addBug

    public static void addBug(IndexWriter oIWrt,
                              java.lang.String sGuid,
                              int iNumber,
                              java.lang.String sWorkArea,
                              java.lang.String sProject,
                              java.lang.String sTitle,
                              java.lang.String sWriter,
                              java.lang.String sReportedBy,
                              java.util.Date dtCreated,
                              java.lang.String sType,
                              java.lang.Short oPriority,
                              java.lang.Short oSeverity,
                              java.lang.String sStatus,
                              java.lang.String sComments,
                              java.lang.String sText)
                       throws java.lang.ClassNotFoundException,
                              java.io.IOException,
                              java.lang.IllegalArgumentException,
                              java.lang.NoSuchFieldException,
                              java.lang.IllegalAccessException,
                              java.lang.InstantiationException,
                              java.lang.NullPointerException

  Add bug to index

  Parameters:
    `oIWrt` - IndexWriter
    `sGuid` - String Bug GUID
    `iNumber` - int Bug Number
    `sWorkArea` - String GUID of WorkArea to which bug belongs
    `sProject` - String GUID of project to which bug belongs
    `sTitle` - String Title
    `sReportedBy` - String Author
    `dtCreated` - Date Created
    `sComments` - String Comments
    `sText` - String Bug Description
  Throws:
    `java.lang.ClassNotFoundException`
    `java.io.IOException`
    `java.lang.IllegalArgumentException`
    `java.lang.NoSuchFieldException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.NullPointerException`

### addBug

    public static void addBug(IndexWriter oIWrt,
                              java.lang.String sGuid,
                              int iNumber,
                              java.lang.String sWorkArea,
                              java.lang.String sProject,
                              java.lang.String sTitle,
                              java.lang.String sReportedBy,
                              java.util.Date dtCreated,
                              java.lang.String sComments,
                              java.lang.String sText)
                       throws java.lang.ClassNotFoundException,
                              java.io.IOException,
                              java.lang.IllegalArgumentException,
                              java.lang.NoSuchFieldException,
                              java.lang.IllegalAccessException,
                              java.lang.InstantiationException,
                              java.lang.NullPointerException

  Add bug to index

  Parameters:
    `oIWrt` - IndexWriter
    `sGuid` - String Bug GUID
    `iNumber` - int Bug Number
    `sWorkArea` - String GUID of WorkArea to which bug belongs
    `sProject` - String GUID of project to which bug belongs
    `sTitle` - String Title
    `sReportedBy` - String Author
    `dtCreated` - Date Created
    `sComments` - String Comments
    `sText` - String Bug Description
  Throws:
    `java.lang.ClassNotFoundException`
    `java.io.IOException`
    `java.lang.IllegalArgumentException`
    `java.lang.NoSuchFieldException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.NullPointerException`

### addBug

    public static void addBug(IndexWriter oIWrt,
                              JDCConnection oCon,
                              java.lang.String sWorkArea,
                              Bug oBug)
                       throws java.sql.SQLException,
                              java.io.IOException,
                              java.lang.ClassNotFoundException,
                              java.lang.NoSuchFieldException,
                              java.lang.IllegalAccessException,
                              java.lang.InstantiationException,
                              java.lang.NullPointerException

  Add bug to index

  Parameters:
    `oIWrt` - IndexWriter
    `oCon` - JDCConnection
    `sWorkArea` - String GUID of WorkArea where bug must be added
    `oBug` - Bug
  Throws:
    `java.sql.SQLException`
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `java.lang.NoSuchFieldException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`
    `java.lang.NullPointerException`

### deleteBug

    public static int deleteBug(java.lang.String sWorkArea,
                                java.util.Properties oProps,
                                java.lang.String sGuid)
                         throws java.lang.IllegalArgumentException,
                                java.lang.NoSuchFieldException,
                                java.lang.IllegalAccessException,
                                java.io.IOException,
                                java.lang.NullPointerException

  Delete a bug with a given GUID

  Parameters:
    `oProps` - Properties Collection containing luceneindex directory
    `sGuid` - Bug GUID
  Returns:
    Number of documents deleted
  Throws:
    `java.lang.IllegalArgumentException` - If sTableName is not one of { k_bugs, k_newsmsgs, k_mime_msgs }
    `java.lang.NoSuchFieldException` - If luceneindex property is not found at oProps
    `java.lang.IllegalAccessException`
    `java.io.IOException`
    `java.lang.NullPointerException` - If sGuid is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD